#include "backenddef"

BackendDef::BackendDef (string server, string port, string maxclients) :
    srv(server), prt(0), max(0) {

    if (sscanf (port.c_str(), "%d", &prt) < 1)
	throw ((Error) "Bad backend port specifier: '" + port +
	       "' is not a number");
    if (maxclients.size() &&
	sscanf (maxclients.c_str(), "%u", &max) < 1)
	throw ((Error) "Bad maximum connections specifier: '" +
	       maxclients + "' is not a number");
}
