#include "buffer"

void Buffer::add (char const *b, unsigned len) {
    if (!buf_data)
	set (b, len);
    else {
	if (! (buf_data = (char*)realloc (buf_data, buf_len + len)) )
	    throw ((Error) "Memory fault in Buffer::add");
	memcpy (buf_data + buf_len, b, len);
	buf_len += len;
    }
}
