#include "buffer"

void Buffer::removeat (unsigned index, unsigned len) {
    if (!buf_data || index >= buf_len)
	return;
    if (index + len >= buf_len) {
	buf_len = index;
	return;
    }
    memcpy (buf_data + index, buf_data + index + len,
	    buf_len - index - len);
    buf_len -= len;
}
	
