#include "config"

void Config::setserver (string str) {
    // Split into 3 parts
    vector<string> parts;
    int pos;
    while ( (pos = str.find_first_of(":")) > 0) {
	if (pos > 0)
	    parts.push_back (str.substr(0, pos));
	str = str.substr(pos + 1);
    }
    if (str.length() > 0)
	parts.push_back (str);
    if (parts.size() != 3)
	throw((Error) "Bad server specifier, expected: TYPE:IPADDRESS:PORT");

    // Store type, IP and port
    styp.type (parts[0]);
    sip = parts[1];
    lport = setinteger (parts[2]);
}
