#include "httpdispatcher"

bool HttpDispatcher::getclientrequest() {
    do {
	Fdset set (config.client_timeout());
	set.add (clientfd());
	int s;
	if ( (s = set.readable()) < 0 || !readchunk(clientfd()) )
	    return (false);
	clientrequest.add (databuf(), databufsize());
    } while (clientrequest.bodyreceived() == Httpbuffer::b_is_not_received);

    msg ("Received client request: '" + clientrequest.firstline() + "'\n");
    return (true);
}

