#include "httpdispatcher"

bool HttpDispatcher::getserverresponse() {
    msg ("Reading back end response.\n");

    do {
	Fdset set (config.backend_timeout());
	set.add (backendfd());
	int s;
	if ( (s = set.readable() < 0) || !readchunk(backendfd()) )
	    return (false);
	serverresponse.add (databuf(), databufsize());
    } while (! serverresponse.headersdone());

    msg ("Received back end response: '" + serverresponse.firstline() + "'\n");
    return (true);
}
