#include "roundrobin"

int Roundrobin::target() {
    static int last = -1;
    int t = last + 1;

    if (last == -1) {
	lock();
	last = 0;
	unlock();
    }

    while (1) {
	if (balancer.backend(t).available()) {
	    lock();
	    last = t;
	    unlock();
	    return (t);
	}
	t++;
	t %= balancer.nbackends();
	if (t == last)
	    throw ((Error) "Round-robin algorithm: no available back ends");
    }
}
    
