#include "tcpdispatcher"

void TcpDispatcher::handle() {
    while (1) {
	Fdset readset (config.client_timeout());
	readset.add (clientfd());
	readset.add (backendfd());
	
	int s;
	if ((s = readset.readable()) < 0 || !readchunk(s))
	    break;
	writechunk (s == clientfd() ? backendfd() : clientfd(),
		    databuf(), databufsize());
    }
}
