#include "buffer"

void Buffer::copy (Buffer const &other) {
    if (! other.buf_len) {
	buf_data = 0;
	buf_len = 0;
    } else {
	if (! (buf_data = (char*)malloc (other.buf_len)) )
	    throw ((Error) "Memory fault in Buffer::copy");
	memcpy (buf_data, other.buf_data, other.buf_len);
	buf_len = other.buf_len;
    }
}
