#include "buffer"

void Buffer::insertat (unsigned index, char const *s, unsigned len) {
    if (index >= buf_len)
	return;
    if (! (buf_data = (char*)realloc (buf_data, buf_len + len)) )
	throw ((Error) "Memory fault in Buffer::insertat");
    memmove (buf_data + index + len,
	     buf_data + index,
	     buf_len - index);
    memcpy (buf_data + index, s, len);
    buf_len += len;
}
