#include "httpdispatcher"

bool HttpDispatcher::sendserverresponse() {
    msg ("Sending server response '" + serverresponse.firstline() +
	 "' to client.\n");
    Fdset set (config.client_timeout());
    set.add (clientfd());
    return ( (set.writeable() == clientfd()) &&
	     (writechunk (clientfd(),
			  serverresponse.data(), serverresponse.size()) ==
	      serverresponse.size()) );
}
