#include "leastconn"

int Leastconn::target() {
    bool found = false;
    unsigned nconn;
    int t;

    for (unsigned i = 0; i < balancer.nbackends(); i++) {
	if (!balancer.backend(i).available())
	    continue;
	if (!found ||
	    balancer.backend(i).connections() < nconn) {
	    nconn = balancer.backend(i).connections();
	    t = i;
	    found = true;
	}
    }

    if (!found)
	throw ((Error) "Least-connections algorithm: "
	       "no available back ends");
    return (t);
}
