#include "sys"
#include "../config/config"

bool ipmatch (struct in_addr adr, struct in_addr mask) {
    long laddr = * ((long*)&adr);
    long lmask = * ((long*)&mask);
    bool match = laddr & lmask == laddr;

    if (config.debug())
	debugmsg ("Matching ip " + (string)inet_ntoa(adr) + " against mask " +
		  (string)inet_ntoa(mask) + ": " +
		  (match ? "match" : "miss") + "\n");
    return (match);
}
