#include "tcpdispatcher"

unsigned TcpDispatcher::readchunk (int src) {
    ssize_t nread = read (src, data_buf, config.buffersize());
    if (nread < 0)
	throw ((Error) "Read failed on fd " + src);
    
    balancer.backend(targetbackend()).addbytes (databufsize());
    
    if (config.debug() && nread) {
	ostringstream o;
	o << "Got " << nread << " bytes from fd " << src << ": ";
	for (unsigned i = 0; i < (unsigned)nread; i++)
	    o << printable(data_buf[i]);
	o << "\n";
	debugmsg (o.str());
    }
    
    return (data_bufsz = nread);
}
